LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 08-25-2003, 11:27 AM   #1
FStrike
LQ Newbie
 
Registered: Aug 2003
Posts: 2

Rep: Reputation: 0
Linking problem/MythTV


Hello All,

I'm somewhat a Newbie to Linux so please forgive me if I sound dumb.
I am trying to compile from source the latest MythTV. I have followed the docs are close as I can possible tell but I'm having a problem linking MythTV with the QT libraries. As far as I can tell I have set/exported my QTDIR and PATH variables to their proper locations, built QT, installed XmlTv,Lame,mySQL, etc...

MythTV compiles fine but the linking stage gives me plently of
Unresolved References to
QApplication
QString, etc..

Basically all of the QT API.

Does anyone have any ideas that may point me in the right direction?
 
Old 08-25-2003, 11:33 AM   #2
fancypiper
LQ Guru
 
Registered: Feb 2003
Location: Sparta, NC USA
Distribution: Ubuntu 10.04
Posts: 5,141

Rep: Reputation: 58
Perhaps your distro (not mentioned) doesn't put the qt libraries where they are expected to be by MythTV.
 
Old 08-25-2003, 11:43 AM   #3
FStrike
LQ Newbie
 
Registered: Aug 2003
Posts: 2

Original Poster
Rep: Reputation: 0
Sorry, I knew I forgot something...

Here's all the particulars:
OS: Redhat8.0
gcc 3.2.0
Latest QT (3.2.0 I believe)

Redhat has a default QT setup upon installation (located in /usr/lib/qt_x.x.x) with a symlink to it named QT

I have installed & compiled the QT libraries in /usr/lib/qt.3.2.0 and redefined the symlink QT to point to my QT (/usr/lib/qt.3.2.0)

I have defined the QTDIR env. variable to point to /usr/lib/QT and updated my PATH env.

I have updated my ld.co.conf file to include /usr/lib/QT as a linker dependency.

As a side note: I did read somewhere that gcc 2.95 needed to be used because QT is compiled under gcc 2.95 but I thought that was only if one installed the binaries and did not build from source.

Thanks in advance,
Michael
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
problem with mplayer/mythtv and the xv extension on ati radeon 9200SE datphysh Linux - Software 1 07-18-2005 11:18 AM
Mythtv for multiple systems (another mysql problem) greghead Linux - Software 1 02-16-2005 08:49 PM
Problem with MythTV: Video doesn't always show up, sound works but... ghost_zero Linux - Software 1 09-20-2004 04:56 PM
ld linking problem captain-mythos Linux - Software 1 06-20-2004 09:46 AM
Mythtv major problem araldit Debian 1 06-10-2004 12:10 PM


All times are GMT -5. The time now is 09:55 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration